Bug 246992 - devel/liteide: Qt 5.15 fixes
Summary: devel/liteide: Qt 5.15 fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-04 21:07 UTC by Adriaan de Groot
Modified: 2020-06-05 10:23 UTC (History)
0 users

See Also:
dmgk: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adriaan de Groot freebsd_committer 2020-06-04 21:07:26 UTC
liteide won't build with Qt 5.15: it uses internal headers and datastructures which have been removed.

kde@ will either mark it BROKEN or apply https://github.com/freebsd/freebsd-ports-kde/commit/942990c959e9978fe8e85b72fe87591aafb5678d -- which makes it build, at least, by removing the Qt 5.6-era copy of QJson that's bundled inside.
Comment 1 Dmitri Goutnik freebsd_committer 2020-06-04 22:19:40 UTC
LGTM, thanks.
Comment 2 commit-hook freebsd_committer 2020-06-05 10:21:52 UTC
A commit references this bug:

Author: adridg
Date: Fri Jun  5 10:21:17 UTC 2020
New revision: 538003
URL: https://svnweb.freebsd.org/changeset/ports/538003

Log:
  devel/liteide: Qt 5.15 housekeeping

  - add includes because Qt 5.15 drops some implicitly included ones
  - remove bundled copy of old QJson library -- use the system one

  PR:		246992
  Approved by:	dmgk

Changes:
  head/devel/liteide/Makefile
  head/devel/liteide/files/patch-src_3rdparty_qjsonrpc_src_json_json.pri
  head/devel/liteide/files/patch-src_plugins_liteeditor_liteeditorwidgetbase.cpp
  head/devel/liteide/files/patch-src_utils_dlvclient_dlvclient.cpp
  head/devel/liteide/files/patch-src_utils_dlvclient_dlvtypes.h